Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.ProcessTimer.TimerInstanceOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.ProcessTimer.TimerInstance, JBPMMessages.ProcessTimer.TimerInstance.Builder

Enclosing class:
  JBPMMessages.ProcessTimer

    public static interface JBPMMessages.ProcessTimer.TimerInstanceOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`long` | `getActivatedTime()`
`long` | `getDelay()`
`long` | `getId()`
`long` | `getLastTriggered()`
`long` | `getPeriod()`
`long` | `getProcessInstanceId()`
`long` | `getTimerId()`
`boolean` | `hasActivatedTime()`
`boolean` | `hasDelay()`
`boolean` | `hasId()`
`boolean` | `hasLastTriggered()`
`boolean` | `hasPeriod()`
`boolean` | `hasProcessInstanceId()`
`boolean` | `hasTimerId()`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasId

    boolean hasId()

### getId

    long getId()

### hasTimerId

    boolean hasTimerId()

### getTimerId

    long getTimerId()

### hasDelay

    boolean hasDelay()

### getDelay

    long getDelay()

### hasPeriod

    boolean hasPeriod()

### getPeriod

    long getPeriod()

### hasProcessInstanceId

    boolean hasProcessInstanceId()

### getProcessInstanceId

    long getProcessInstanceId()

### hasActivatedTime

    boolean hasActivatedTime()

### getActivatedTime

    long getActivatedTime()

### hasLastTriggered

    boolean hasLastTriggered()

### getLastTriggered

    long getLastTriggered()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.